package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.platbean.SysLogSystem;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 系统日志服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 10:36
 * @Modify :
 **/
public interface ISysLogSystemService {

    @ApiOperation(value = "添加系统日志",notes = "添加系统日志")
    void insertSysLogSystem(SysLogSystem logSystem);

    @ApiOperation(value = "造数据系统日志",notes = "造数据")
    void insertSysLogBatch(int num,int waitTime);

    @ApiOperation(value = "删除日志",notes = "删除日志")
    long deleteSysLogSystemById(Long id);

    @ApiOperation(value = "查询全部日志",notes = "查询全部日志")
    List<SysLogSystem> listSysLogSystem();

    @ApiOperation(value = "根据id查询系统日志",notes = "根据id查询系统日志")
    SysLogSystem getSysLogSystemById(long id);

    @ApiOperation(value = "系统日志分页复杂查询",notes = "系统日志分页复杂查询")
    ListPager querySysLogSystemByPager(SysLogSystem logSystem, Pager pager);

    @ApiOperation(value = "系统日志批量删除",notes = "系统日志批量删除")
    long deleteSysLogSystemByIds(Long[] ids);

    /**
     * 压力测试
     * @param min
     * @param max
     * @return
     */
    @ApiOperation(value = "系统日志按id区间查询",notes = "系统日志按id区间查询")
    List<SysLogSystem> findSysLogSystemByIdInterval(long min, long max);
}
